/*
 * Copyright 2003 Amber Archer Consulting Co., Inc. All rights reserved.
 * AMBER ARCHER PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package org.amberarcher.xml.tool.highlight;

/**
 * Wrapper exception for propagating highlight mechanism-specific errors.
 *
 * @author <a href="mailto:kdowney@amberarcher.com">Kyle F. Downey</a>
 * @version $Revision: 1.1 $
 */
public class HighlightException extends Exception {
    public HighlightException() {
    }

    public HighlightException(String message) {
        super(message);
    }

    public HighlightException(String message, Throwable cause) {
        super(message, cause);
    }

    public HighlightException(Throwable cause) {
        super(cause);
    }
}
