/*
 * Copyright 2003 Amber Archer Consulting Co., Inc. All rights reserved.
 * AMBER ARCHER PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package org.amberarcher.xml.tool.highlight;

import org.w3c.dom.Node;

/**
 * Interface for a plug-in class that can take an XML node and replace it with
 * appropriate XML-based documentation mark-up in the requested type.
 *
 * @author <a href="mailto:kdowney@amberarcher.com">Kyle F. Downey</a>
 * @version $Revision: 1.2 $
 */
public interface Highlighter {
    Node highlight(Node replaceNode) throws HighlightException;
    void setHighlightContext(HighlightContext ctx);
}
